Bug 844209 - stopped diy application becomes to start status after "rhc app reload"
stopped diy application becomes to start status after "rhc app reload"
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 22:42 EDT by Meng Bo
Modified: 2015-05-14 18:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-07-29 22:42:13 EDT
Description of problem:
Reload a stopped diy application will make the application becomes to start status.

Version-Release number of selected component (if applicable):
cartridge-diy-0.1-0.30.3-1.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1.Create a diy application
2.Stop the app
3.Reload the app
4.Check the web page and the app process
  
Actual results:
App becomes to start, the web page can be accessed and the a ruby process is running in the app

Expected results:
The app should keep the stop status after reload it.

Additional info:

[diy1-bmengdev.dev.rhcloud.com ~]\> ps -ef
UID        PID  PPID  C STIME TTY          TIME CMD
501      18191     1  0 22:26 ?        00:00:00 ruby /var/lib/stickshift/0577d02d349a493080f18a2ea1fa66ca/app-root/runtime/repo//diy/testrubyserver.rb 127.0.250.129 /var/lib/stickshift/0577
501      19284 19263  0 22:28 ?        00:00:00 sshd: 0577d02d349a493080f18a2ea1fa66ca@pts/2
501      19285 19284  0 22:28 ?        00:00:00 /bin/bash --init-file /usr/bin/rhcsh -i
501      19295 19285  0 22:28 ?        00:00:00 ps -ef
     
[diy1-bmengdev.dev.rhcloud.com ~]\> app_ctl.sh stop
[diy1-bmengdev.dev.rhcloud.com ~]\> ps -ef
UID        PID  PPID  C STIME TTY          TIME CMD
501      19284 19263  0 22:28 ?        00:00:00 sshd: 0577d02d349a493080f18a2ea1fa66ca@pts/2
501      19285 19284  0 22:28 ?        00:00:00 /bin/bash --init-file /usr/bin/rhcsh -i
501      19619 19285  0 22:29 ?        00:00:00 ps -ef

[diy1-bmengdev.dev.rhcloud.com ~]\> app_ctl.sh reload
[diy1-bmengdev.dev.rhcloud.com ~]\> ps -ef
UID        PID  PPID  C STIME TTY          TIME CMD
501      19284 19263  0 22:28 ?        00:00:00 sshd: 0577d02d349a493080f18a2ea1fa66ca@pts/2
501      19285 19284  0 22:28 ?        00:00:00 /bin/bash --init-file /usr/bin/rhcsh -i
501      19659     1  3 22:29 ?        00:00:00 ruby /var/lib/stickshift/0577d02d349a493080f18a2ea1fa66ca/app-root/runtime/repo//diy/testrubyserver.rb 127.0.250.129 /var/lib/stickshift/0577
501      19660 19285  0 22:29 ?        00:00:00 ps -ef
Comment 1 Rony Gong 2012-07-30 02:18:42 EDT
And if do move action for this reload diy app(first stop app ,then reload), I see the status is stopped in checking action, but we could access the diy app url. 
[root@ip-10-42-138-178 stickshift]# rhc-admin-move -i ip-10-42-102-151 --gear_uuid 0ed5c528534d422890efbded8a6b835c
URL: http://qdiy-qgong1.dev.rhcloud.com
Login: qgong1@redhat.com
App UUID: 0ed5c528534d422890efbded8a6b835c
Gear UUID: 0ed5c528534d422890efbded8a6b835c
DEBUG: Source district uuid: 9fa154a712a14a89af151ebe20718860
DEBUG: Destination district uuid: 9fa154a712a14a89af151ebe20718860
DEBUG: District unchanged keeping uid
DEBUG: Getting existing app 'qdiy' status before moving
DEBUG: Gear component 'diy-0.1' was stopped
DEBUG: Creating new account for gear 'qdiy' on ip-10-42-102-151
DEBUG: Moving content for app 'qdiy', gear 'qdiy' to ip-10-42-102-151
Identity added: /var/www/stickshift/broker/config/keys/rsync_id_rsa (/var/www/stickshift/broker/config/keys/rsync_id_rsa)
Agent pid 5252
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
echo Agent pid 5252 killed;
DEBUG: Performing cartridge level move for 'diy-0.1' on ip-10-42-102-151
DEBUG: Fixing DNS and mongo for gear 'qdiy' after move
DEBUG: Changing server identity of 'qdiy' from 'ip-10-42-138-178' to 'ip-10-42-102-151'
DEBUG: Deconfiguring old app 'qdiy' on ip-10-42-138-178 after move
Successfully moved 'qdiy' with gear uuid '0ed5c528534d422890efbded8a6b835c' from 'ip-10-42-138-178' to 'ip-10-42-102-151'
You have new mail in /var/spool/mail/root
Comment 2 Ram Ranganathan 2012-09-20 18:18:14 EDT
Fixed with pull request 
   https://github.com/openshift/crankcase/pull/518

waiting on merge.
Comment 3 Xiaoli Tian 2012-09-21 01:03:21 EDT
(In reply to comment #2)
> Fixed with pull request 
>    https://github.com/openshift/crankcase/pull/518
> 
> waiting on merge.

Above pull request is merged in devenv_2209. move it to ON_QA to verify.
Comment 4 Jianwei Hou 2012-09-21 02:28:47 EDT
Verified on devenv_2209 

Steps:
1.Create a diy application
2.Stop the app
3.Reload the app
4.Check the web page and the app process

Result:
App remains stopped.

Note You need to log in before you can comment on or make changes to this bug.